
QGIS Application - Bug report #19012

[PyQGIS Doc] Make all syntaxes obvious when a method has more than one syntax 

2018-05-23 02:40 PM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee: Denis Rouzaud

Category: Documentation and Help

Affected QGIS version:3.1(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 26843

Description

Go to https://qgis.org/pyqgis/master/core/Layout/QgsLayoutExporter.html#qgis.core.QgsLayoutExporter.exportToPdf

The exportToPdf has more than one way to call it but only the one in the grayed area (next to the name) is obvious, and when looking for a

function you may miss the other alternative. This is also true for exportToImage, exportToSVG, print... (at least in this class).

Moreover, the paragraph showing the second alternative does not look sexy to read and you want to skip it (I unfortunately did it (!) for

hours until I find in the github repo what I was looking for, which is not the way we want people to proceed.).

History

#1 - 2018-05-24 09:04 AM - Nyall Dawson

- Assignee changed from Yves Jacolin to Denis Rouzaud

#2 - 2018-05-24 02:07 PM - Denis Rouzaud

moved to proper tracker https://github.com/qgis/pyqgis/issues/18

#3 - 2018-06-08 01:42 PM - Denis Rouzaud

- Resolution set to up/downstream

- Status changed from Open to Closed
